rsbackup-mount(1)

NAME
rsbackup-mount - mount encrypted or unencrypted disks used by rsbackup

SYNOPSIS
rsbackup-mount [OPTIONS] [--] [DEVICES]

DESCRIPTION
rsbackup-mount mounts and unmounts encrypted or unencrypted partitions used as backup stores by rsbackup(1).

OPTIONS

--unmount, -u
    Unmount devices. (The default is to mount devices.)

--check, -c
    Check for available devices that aren't open.

--dry-run, -n
    Do nothing, instead print the commands that would be executed.

--key-file PATH, -k PATH
    Pass the argument --key-file PATH to cryptsetup.

--help, -h
    Display usage message.

--version, -V
    Display version string.

CONFIGURATION
Configuration is read from /etc/rsbackup/devices. This is a shell script fragment. It should set devices to a (space-separated) list of device names and for each device name D, define D_uuid to its UUID. To specify that a device is unencrypted (i.e. that it just requires mounting or unmounting), define D_plain as a non-empty string for that device. (Have a look in /dev/disk/by-uuid to find device UUIDs).

  Example
    # List names of devices here
    devices="backup3 backup4"

    # For each device, define DEVICE_uuid
    # e.g. devicename_uuid=8f4171f0-007d-4083-a40c-407e5f9c24dd
    backup3_uuid=8f4171f0-007d-4083-a40c-407e5f9c24dd
    backup4_uuid=80a1ca0d-d07a-4195-9da1-8cbb9fbc11b9

    # For any device that isn't encrypted, define DEVICE_plain
    # e.g. devicename_plain=1
    backup3_plain=1

SEE ALSO
rsbackup(1), rsbackup.cron(1)

AUTHOR
Richard Kettlewell <rjk@greenend.org.uk>